
Redmine - Patch #38093

Use require_relative instead of generating the full path for a file

2022-12-23 06:53 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 5.1.0   

Description

In the code of Redmine, you can find many require methods that builds the absolute path of a file using File.expand_path and

__FILE__:

require File.expand_path('../../test_helper', __FILE__)

 I think using `require_relative` can make those simpler and more readable, as shown below.

require_relative '../test_helper'

Associated revisions

Revision 22016 - 2023-01-01 08:13 - Go MAEDA

Use `require_relative` instead of `require File.expand_path(..., FILE)` (#38093).

Patch by Go MAEDA.

Revision 22052 - 2023-01-16 22:55 - Go MAEDA

Use `require_relative` instead of `File.dirname(FILE) + ...` (#38093).

Patch by Go MAEDA.

History

#1 - 2022-12-25 08:33 - Go MAEDA

- Target version set to 5.1.0

Setting the target version to 5.1.0.

#2 - 2023-01-01 08:08 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch.

#3 - 2023-01-16 22:58 - Go MAEDA

- Subject changed from Use `require_relative` instead of `require File.expand_path(..., __FILE__)` to Use require_relative instead of generating the full

path for a file
